- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists Partner objects.
HTTP request
GET https://admanager.googleapis.com/v1/{parent}/partners
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent, which owns this collection of |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of |
pageToken |
Optional. A page token, received from a previous [partners.list][] call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to [partners.list][] must match the call that provided the page token. |
filter |
Optional. Expression to filter the response. See syntax details at https://developers.google.com/ad-manager/api/beta/filters Filterable fields:
|
orderBy |
Optional. Expression to specify sorting order. See syntax details at https://developers.google.com/ad-manager/api/beta/filters#order |
skip |
Optional. Number of individual resources to skip while paginating. |
Request body
The request body must be empty.
Response body
Response object for ListPartnersRequest containing matching Partner objects.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"partners": [
{
object ( |
| Fields | |
|---|---|
partners[] |
The |
nextPageToken |
A token, which can be sent as |
totalSize |
Total number of
For more information, see https://developers.google.com/ad-manager/api/beta/field-masks |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/admanagerhttps://www.googleapis.com/auth/admanager.readonly
For more information, see the OAuth 2.0 Overview.